Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.samcivics.type.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.samcivics.type.v1

Method Summary
`AddedDocumentList` | `createAddedDocumentList()` Create an instance of `AddedDocumentList`
`AddedDocumentType` | `createAddedDocumentType()` Create an instance of `AddedDocumentType`
`AmppAndChildrenType` | `createAmppAndChildrenType()` Create an instance of `AmppAndChildrenType`
`AmppList` | `createAmppList()` Create an instance of `AmppList`
`AmppType` | `createAmppType()` Create an instance of `AmppType`
`AtmAndChildrenType` | `createAtmAndChildrenType()` Create an instance of `AtmAndChildrenType`
`AtmList` | `createAtmList()` Create an instance of `AtmList`
`AtmListType` | `createAtmListType()` Create an instance of `AtmListType`
`AtmType` | `createAtmType()` Create an instance of `AtmType`
`BaseType` | `createBaseType()` Create an instance of `BaseType`
`Copayment` | `createCopayment()` Create an instance of `Copayment`
`CopaymentType` | `createCopaymentType()` Create an instance of `CopaymentType`
`ExcludedParagraphList` | `createExcludedParagraphList()` Create an instance of `ExcludedParagraphList`
`ExcludedParagraphType` | `createExcludedParagraphType()` Create an instance of `ExcludedParagraphType`
`ExclusionList` | `createExclusionList()` Create an instance of `ExclusionList`
`ExclusionsType` | `createExclusionsType()` Create an instance of `ExclusionsType`
`ExclusionType` | `createExclusionType()` Create an instance of `ExclusionType`
`FindCNKRequest` | `createFindCNKRequest()` Create an instance of `FindCNKRequest`
`FindCNKResponse` | `createFindCNKResponse()` Create an instance of `FindCNKResponse`
`FindParagraphTextResponse` | `createFindParagraphTextResponse()` Create an instance of `FindParagraphTextResponse`
`FindReimbursementConditionsRequest` | `createFindReimbursementConditionsRequest()` Create an instance of `FindReimbursementConditionsRequest`
`FindReimbursementConditionsResponse` | `createFindReimbursementConditionsResponse()` Create an instance of `FindReimbursementConditionsResponse`
`GetAddedDocumentsResponse` | `createGetAddedDocumentsResponse()` Create an instance of `GetAddedDocumentsResponse`
`GetParagraphExclusionsResponse` | `createGetParagraphExclusionsResponse()` Create an instance of `GetParagraphExclusionsResponse`
`GetParagraphIncludedSpecialitiesResponse` | `createGetParagraphIncludedSpecialitiesResponse()` Create an instance of `GetParagraphIncludedSpecialitiesResponse`
`GetProfessionalAuthorisationsRequest` | `createGetProfessionalAuthorisationsRequest()` Create an instance of `GetProfessionalAuthorisationsRequest`
`GetProfessionalAuthorisationsResponse` | `createGetProfessionalAuthorisationsResponse()` Create an instance of `GetProfessionalAuthorisationsResponse`
`ParagraphAndChildrenType` | `createParagraphAndChildrenType()` Create an instance of `ParagraphAndChildrenType`
`ParagraphAndVersesRequestType` | `createParagraphAndVersesRequestType()` Create an instance of `ParagraphAndVersesRequestType`
`ParagraphList` | `createParagraphList()` Create an instance of `ParagraphList`
`ParagraphRequestType` | `createParagraphRequestType()` Create an instance of `ParagraphRequestType`
`ParagraphType` | `createParagraphType()` Create an instance of `ParagraphType`
`ParagraphTypeAndTherapy` | `createParagraphTypeAndTherapy()` Create an instance of `ParagraphTypeAndTherapy`
`PriceType` | `createPriceType()` Create an instance of `PriceType`
`ProductList` | `createProductList()` Create an instance of `ProductList`
`ProductNameType` | `createProductNameType()` Create an instance of `ProductNameType`
`ProfessionalAuthorisationList` | `createProfessionalAuthorisationList()` Create an instance of `ProfessionalAuthorisationList`
`ProfessionalAuthorizationType` | `createProfessionalAuthorizationType()` Create an instance of `ProfessionalAuthorizationType`
`ProfessionaleCodeType` | `createProfessionaleCodeType()` Create an instance of `ProfessionaleCodeType`
`QualificationListType` | `createQualificationListType()` Create an instance of `QualificationListType`
`ReimbCategoryCvType` | `createReimbCategoryCvType()` Create an instance of `ReimbCategoryCvType`
`ReimbursementAndChildrenType` | `createReimbursementAndChildrenType()` Create an instance of `ReimbursementAndChildrenType`
`ReimbursementCriteriaType` | `createReimbursementCriteriaType()` Create an instance of `ReimbursementCriteriaType`
`ReimbursementList` | `createReimbursementList()` Create an instance of `ReimbursementList`
`TherapyList` | `createTherapyList()` Create an instance of `TherapyList`
`TherapyType` | `createTherapyType()` Create an instance of `TherapyType`
`UnstructuredExclusionRuleListType` | `createUnstructuredExclusionRuleListType()` Create an instance of `UnstructuredExclusionRuleListType`
`UnstructuredExclusionRuleType` | `createUnstructuredExclusionRuleType()` Create an instance of `UnstructuredExclusionRuleType`
`VerseList` | `createVerseList()` Create an instance of `VerseList`
`VerseNumList` | `createVerseNumList()` Create an instance of `VerseNumList`
`VerseType` | `createVerseType()` Create an instance of `VerseType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.samcivics.type.v1

Method Detail

### createGetParagraphIncludedSpecialitiesResponse

    public GetParagraphIncludedSpecialitiesResponse createGetParagraphIncludedSpecialitiesResponse()

  Create an instance of `GetParagraphIncludedSpecialitiesResponse`

### createBaseType

    public BaseType createBaseType()

  Create an instance of `BaseType`

### createAmppAndChildrenType

    public AmppAndChildrenType createAmppAndChildrenType()

  Create an instance of `AmppAndChildrenType`

### createAtmAndChildrenType

    public AtmAndChildrenType createAtmAndChildrenType()

  Create an instance of `AtmAndChildrenType`

### createProfessionalAuthorizationType

    public ProfessionalAuthorizationType createProfessionalAuthorizationType()

  Create an instance of `ProfessionalAuthorizationType`

### createExcludedParagraphType

    public ExcludedParagraphType createExcludedParagraphType()

  Create an instance of `ExcludedParagraphType`

### createReimbCategoryCvType

    public ReimbCategoryCvType createReimbCategoryCvType()

  Create an instance of `ReimbCategoryCvType`

### createUnstructuredExclusionRuleListType

    public UnstructuredExclusionRuleListType createUnstructuredExclusionRuleListType()

  Create an instance of `UnstructuredExclusionRuleListType`

### createParagraphRequestType

    public ParagraphRequestType createParagraphRequestType()

  Create an instance of `ParagraphRequestType`

### createAtmType

    public AtmType createAtmType()

  Create an instance of `AtmType`

### createAmppType

    public AmppType createAmppType()

  Create an instance of `AmppType`

### createFindParagraphTextResponse

    public FindParagraphTextResponse createFindParagraphTextResponse()

  Create an instance of `FindParagraphTextResponse`

### createParagraphType

    public ParagraphType createParagraphType()

  Create an instance of `ParagraphType`

### createAtmListType

    public AtmListType createAtmListType()

  Create an instance of `AtmListType`

### createUnstructuredExclusionRuleType

    public UnstructuredExclusionRuleType createUnstructuredExclusionRuleType()

  Create an instance of `UnstructuredExclusionRuleType`

### createFindCNKResponse

    public FindCNKResponse createFindCNKResponse()

  Create an instance of `FindCNKResponse`

### createFindReimbursementConditionsResponse

    public FindReimbursementConditionsResponse createFindReimbursementConditionsResponse()

  Create an instance of `FindReimbursementConditionsResponse`

### createParagraphTypeAndTherapy

    public ParagraphTypeAndTherapy createParagraphTypeAndTherapy()

  Create an instance of `ParagraphTypeAndTherapy`

### createQualificationListType

    public QualificationListType createQualificationListType()

  Create an instance of `QualificationListType`

### createExclusionsType

    public ExclusionsType createExclusionsType()

  Create an instance of `ExclusionsType`

### createVerseType

    public VerseType createVerseType()

  Create an instance of `VerseType`

### createAddedDocumentType

    public AddedDocumentType createAddedDocumentType()

  Create an instance of `AddedDocumentType`

### createFindReimbursementConditionsRequest

    public FindReimbursementConditionsRequest createFindReimbursementConditionsRequest()

  Create an instance of `FindReimbursementConditionsRequest`

### createReimbursementAndChildrenType

    public ReimbursementAndChildrenType createReimbursementAndChildrenType()

  Create an instance of `ReimbursementAndChildrenType`

### createFindCNKRequest

    public FindCNKRequest createFindCNKRequest()

  Create an instance of `FindCNKRequest`

### createParagraphAndVersesRequestType

    public ParagraphAndVersesRequestType createParagraphAndVersesRequestType()

  Create an instance of `ParagraphAndVersesRequestType`

### createCopaymentType

    public CopaymentType createCopaymentType()

  Create an instance of `CopaymentType`

### createExclusionType

    public ExclusionType createExclusionType()

  Create an instance of `ExclusionType`

### createGetProfessionalAuthorisationsResponse

    public GetProfessionalAuthorisationsResponse createGetProfessionalAuthorisationsResponse()

  Create an instance of `GetProfessionalAuthorisationsResponse`

### createGetProfessionalAuthorisationsRequest

    public GetProfessionalAuthorisationsRequest createGetProfessionalAuthorisationsRequest()

  Create an instance of `GetProfessionalAuthorisationsRequest`

### createProfessionaleCodeType

    public ProfessionaleCodeType createProfessionaleCodeType()

  Create an instance of `ProfessionaleCodeType`

### createProductNameType

    public ProductNameType createProductNameType()

  Create an instance of `ProductNameType`

### createGetAddedDocumentsResponse

    public GetAddedDocumentsResponse createGetAddedDocumentsResponse()

  Create an instance of `GetAddedDocumentsResponse`

### createParagraphAndChildrenType

    public ParagraphAndChildrenType createParagraphAndChildrenType()

  Create an instance of `ParagraphAndChildrenType`

### createReimbursementCriteriaType

    public ReimbursementCriteriaType createReimbursementCriteriaType()

  Create an instance of `ReimbursementCriteriaType`

### createPriceType

    public PriceType createPriceType()

  Create an instance of `PriceType`

### createGetParagraphExclusionsResponse

    public GetParagraphExclusionsResponse createGetParagraphExclusionsResponse()

  Create an instance of `GetParagraphExclusionsResponse`

### createTherapyType

    public TherapyType createTherapyType()

  Create an instance of `TherapyType`

### createAddedDocumentList

    public AddedDocumentList createAddedDocumentList()

  Create an instance of `AddedDocumentList`

### createProductList

    public ProductList createProductList()

  Create an instance of `ProductList`

### createProfessionalAuthorisationList

    public ProfessionalAuthorisationList createProfessionalAuthorisationList()

  Create an instance of `ProfessionalAuthorisationList`

### createAtmList

    public AtmList createAtmList()

  Create an instance of `AtmList`

### createParagraphList

    public ParagraphList createParagraphList()

  Create an instance of `ParagraphList`

### createReimbursementList

    public ReimbursementList createReimbursementList()

  Create an instance of `ReimbursementList`

### createVerseList

    public VerseList createVerseList()

  Create an instance of `VerseList`

### createExclusionList

    public ExclusionList createExclusionList()

  Create an instance of `ExclusionList`

### createCopayment

    public Copayment createCopayment()

  Create an instance of `Copayment`

### createVerseNumList

    public VerseNumList createVerseNumList()

  Create an instance of `VerseNumList`

### createExcludedParagraphList

    public ExcludedParagraphList createExcludedParagraphList()

  Create an instance of `ExcludedParagraphList`

### createTherapyList

    public TherapyList createTherapyList()

  Create an instance of `TherapyList`

### createAmppList

    public AmppList createAmppList()

  Create an instance of `AmppList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.